* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
html {
  --thm-green: #5cbc63;
  --thm-blue: #2ab6f2;
  --thm-red: #ff0000;
  --shadow: 0 0 1.5625rem 0 #36bafe1a;
  scroll-behavior: smooth;
}
body {
  font-family: "Poppins", sans-serif;
  
}
.flex-form{
  display: flex;
  flex-wrap: wrap;
}
.mxw-350{
  max-width: 350px;
}
.login-form{
  padding: 15px;
  border: 1px solid #0005;
  border-radius: 5px;
}
.text-danger{
  font-size: 14px;
  color: var(--thm-red);
  font-weight: 500;
}
.dashboard {
z-index: 1;
  background: #fff;
}
.alertbox{
  position: fixed;
  bottom: 5%;
  right: 0;
  width: fit-content;
  padding: 8px 15px;
  color: #fff;
  border-radius:5px 0 0 5px ;
  animation: hidebox 4s linear forwards;
}
@keyframes hidebox {
  0%{
    z-index: -99999;
    opacity: 0;
  }
  20%,90%{
      z-index: 999999;
      opacity: 1;
  }
   100%{
    z-index: -99999;
    opacity: 0;
  }
}
.font-14 {
  font-size: 14px;
}
.text-center {
  text-align: center;
}
.bg-gray {
  background: #f5f5f5;
}
.bg-green {
  background: var(--thm-green);
}
.bg-blue {
  background: var(--thm-blue);
}
.bg-red {
  background: var(--thm-red);
}
h2 {
  font-weight: 600;
}
.clr-blue {
  color: var(--thm-blue);
}
.clr-green {
  color: var(--thm-green);
}
.clr-red {
  color: var(--thm-red);
}
.clr-white {
  color: #fff;
}
.thm-container {
  margin: auto;
  max-width: 1200px;
}
a {
  text-decoration: none;
  color: inherit;
}
.thm-container,
.thm-container-fluid {
  padding: 0px 15px;
  display: block;
  width: 100%;
}
.thm-row {
  display: flex;
  width: 100%;
  flex-wrap: wrap;
}
.btn-set {
  display: flex;
  width: 100%;
  justify-content: center;
  flex-wrap: wrap;
}
.btn-set * {
  margin: 10px;
}
.thm-col-6,
.thm-col-4,
.thm-col-12 {
  padding: 0 15px;
  width: 100%;
  display: block;
}
img,
video,
svg {
  max-width: 100%;
}
.upper {
  text-transform: uppercase;
}
.py-45 {
  padding-top: 45px;
  padding-bottom: 45px;
}
.p-5{
  padding: 5px;
}
.ptb-15 {
  padding-top: 15px;
  padding-bottom: 15px;
}
.pb-15 {
  padding-bottom: 15px;
}
.pt-15 {
  padding-top: 15px;
}
.pt-25 {
  padding-top: 25px;
}
.pb-25 {
  padding-bottom: 25px;
}
.pt-45 {
  padding-top: 45px;
}
.pb-45 {
  padding-bottom: 45px;
}
.pt-55 {
  padding-top: 55px;
}
.pb-55 {
  padding-bottom: 55px;
}
.mb-5 {
  margin-bottom: 5px;
}
.mb-10 {
  margin-bottom: 10px;
}
.mb-15 {
  margin-bottom: 15px;
}
.mb-25 {
  margin-bottom: 25px;
}
.mb-45 {
  margin-bottom: 45px;
}
.mt-5 {
  margin-top: 5px;
}
.mt-10 {
  margin-top: 10px;
}
.mt-15 {
  margin-top: 15px;
}
.mt-35 {
  margin-top: 35px;
}
.mt-45 {
  margin-top: 45px;
}
.mx-auto {
  margin-left: auto;
  margin-right: auto;
}
.list-num {
  list-style-type: decimal;
}
.list-mb-15 {
  padding-left: 30px;
}
.list-mb-15 li {
  margin-bottom: 15px;
}
label {
  display: block;
  margin: 15px auto 5px;
}
input,
textarea,
select {
  padding: 6px 8px;
  border-radius: 5px;
  display: block;
  width: 100%;
  border: 1px solid #0000;
  background-color: #e5e5e5;
  max-width: 100%;
}
input[type="checkbox"]{
  height: 20px;
  width: 20px;
}
input,
select {
  min-height: 36px;
}
textarea {
  min-height: 100px;
}

.thm-btn {
  padding: 10px 30px;
  font-weight: 500;
  border-radius: 30px;
  box-shadow: var(--shadow);
  position: relative;
  display: block;
  width: fit-content;
  outline-color: transparent;
  border-color: transparent;
  cursor: pointer;
}
.thm-btn,
.thm-btn::before {
  transition: all 0.3s;
}
.white-btn {
  color: #000;
  background-color: #fff;
}
.d-flex{
  display: flex !important;
}
.thm-btn.icon {
  padding-left: 50px !important;
}
.thm-btn.icon::before {
  content: "";
  height: 20px;
  width: 20px;
  border-radius: 50%;
  position: absolute;
  left: 22px;
  top: 50%;
  transform: translateY(-50%);
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  -webkit-mask-size: contain;
}
.mac-icon {
  position: relative;
}
.mac-icon::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  -webkit-mask-size: contain;
}
.phone-icon::before {
  mask-image: url("../images/icons/phone.svg");
  -webkit-mask-image: url("../images/icons/phone.svg");
}
.email-icon::before {
  mask-image: url("../images/icons/email.svg");
  -webkit-mask-image: url("../images/icons/email.svg");
}
.location-icon::before {
  mask-image: url("../images/icons/location.svg");
  -webkit-mask-image: url("../images/icons/location.svg");
}
.facebook-icon::before {
  mask-image: url("../images/icons/facebook.svg");
  -webkit-mask-image: url("../images/icons/facebook.svg");
}
.x-icon::before {
  mask-image: url("../images/icons/x.svg");
  -webkit-mask-image: url("../images/icons/x.svg");
}
.instagram-icon::before {
  mask-image: url("../images/icons/instagram.svg");
  -webkit-mask-image: url("../images/icons/instagram.svg");
}
.whatsapp-icon::before {
  mask-image: url("../images/icons/whatsapp.svg");
  -webkit-mask-image: url("../images/icons/whatsapp.svg");
}
.user-icon::before {
  mask-image: url("../images/icons/user.svg");
  -webkit-mask-image: url("../images/icons/user.svg");
}
.battery-icon::before {
  mask-image: url("../images/icons/battery.svg");
  -webkit-mask-image: url("../images/icons/battery.svg");
}
.speed-icon::before {
  mask-image: url("../images/icons/speed.svg");
  -webkit-mask-image: url("../images/icons/speed.svg");
}
.range-icon::before {
  mask-image: url("../images/icons/range.svg");
  -webkit-mask-image: url("../images/icons/range.svg");
}
.tick-icon::before {
  mask-image: url("../images/icons/tick.svg");
  -webkit-mask-image: url("../images/icons/tick.svg");
}
.close-icon::before {
  mask-image: url("../images/icons/close.svg");
  -webkit-mask-image: url("../images/icons/close.svg");
}
.edit-icon::before {
  mask-image: url("../images/icons/edit.svg");
  -webkit-mask-image: url("../images/icons/edit.svg");
}
.delete-icon::before {
  mask-image: url("../images/icons/delete.svg");
  -webkit-mask-image: url("../images/icons/delete.svg");
}
.support-icon::before {
  mask-image: url("../images/icons/support.svg");
  -webkit-mask-image: url("../images/icons/support.svg");
}
.transaction-icon::before {
  mask-image: url("../images/icons/transaction.svg");
  -webkit-mask-image: url("../images/icons/transaction.svg");
}
.before-bg-white::before {
  background-color: #fff;
}
.before-bg-red::before {
  background-color: var(--thm-red);
}
.before-bg-blue::before {
  background-color: var(--thm-blue);
}
.before-bg-green::before {
  background-color: var(--thm-green);
}
.icon-btn-30{
  height: 30px;
  width: 30px;
  min-width: 30px;
}
.icon-btn-24{
  height: 24px;
  width: 24px;
  min-width: 24px;
}
.top-header{
  background-color: var(--thm-blue);
  color: #fff;
  padding: 8px 0px;
  font-size: 14px;
}
.top-header marquee{
  display: block;
}
header {
  position: relative;
  top: 0;
  left: 0;
  z-index: 9999;
  padding: 5px 0px;
  width: 100%;
  transition: all 0.5s;
}
header.active {
  position: fixed;
  background: #fff;
  box-shadow: 1px 1px 5px #0002;
}
header .header-box {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}
header .header-box .logo {
  max-width: 150px;
  padding: 5px;
}
header .header-box .logo img {
  /* filter: invert(1); */
  display: block;
  width: 100%;
}
header .header-box ul.nav-links {
  display: flex;
  justify-content: center;
  align-items: center;
  list-style-type: none;
}
header .header-box ul.nav-links li {
  margin: 5px;
}
header .header-box ul.nav-links li a {
  padding: 6px 10px;
  display: block;
  width: fit-content;
  cursor: pointer;
}
header .thm-btn {
  background-color: var(--thm-blue);
  color: #fff;
  padding: 8px 20px;
}
header .thm-btn.invert{
  background-color: var(--thm-green);
}
header .thm-btn:hover {
  background-color: var(--thm-green);
}
header .thm-btn.invert:hover{
  background-color: var(--thm-blue);
}
header .thm-btn::before {
  background-color: #fff;
}
header .profile-icon {
  display: flex;
  align-items: center;
  background-color: var(--thm-green);
  color: #fff;
  padding: 6px 12px 6px 10px;
  border-radius: 30px;
}
header .profile-icon .img {
  width: 30px;
  height: 30px;
  min-width: 30px;
  margin-right: 6px;
  border:2px solid #fff;
  border-radius: 50%;

}
.home {
  width: 100%;
  position: relative;
}
.home .content-box{
  display: flex;
  height: 100%;
  justify-content: center;
  flex-flow: column;
  align-items: center;
  padding: 45px 0px;
}
.home .content-box h1{
  font-size: 36px;
  line-height: 46px;
  margin-bottom: 20px;
  color: #fff;
}
.home .brands-ani {
  overflow: hidden;
  width: 100%;
}
.home .brands-ani .brands{
  display: flex;
  width: max-content;
  animation:  infiniteSroll var(--speed) linear infinite;
}
.home .brands-ani .brands .item{
  padding: 6px;
  max-width: 150px;
    user-select: none;
}
.home .brands-ani .brands .item img{
  display: block;
  background: #fff;
  user-select: none;
  border-radius: 5px;
}
@keyframes infiniteSroll {
  0%{
    transform: translateX(0%);
  }
  100%{
       transform: translateX(-50%);
  }
}
.home img{
  display: block;
}
.product-content-box + .product-content-box{
  padding-top: 30px;
}
.product-grid {
  display: grid;
  width: 100%;
}
.product-grid a.product {
  border: 1px solid #0005;
  display: block;
  border-radius: 5px;
  background-color: #fff;
  margin: 10px;
}
.product-grid a.product:hover .title {
  color: var(--thm-blue);
}
.product-grid .img {
  height: 220px;
  width: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  padding: 10px;
  border-radius: 5px 5px 0 0;
}
.product-grid .label {
  background: #fff;
  padding: 8px 20px;
  border-radius: 30px;
  width: fit-content;
  font-size: 14px;
  font-weight: 500;
}
.product-grid .title {
  font-weight: 500;
  font-size: 18px;
  margin: 8px auto;
}

.product-grid .title {
  margin: 15px 10px 0;
  padding-bottom: 10px;
  border-bottom: 1px solid #0005;
}
.product-grid .grid-box {
  display: grid;
  grid-template-columns: auto auto auto;
  padding: 15px;
}
.product-grid .grid-box .item {
  display: flex;
  align-items: center;
  font-size: 14px;
  padding: 2px;
  font-weight: 400;
}
.product-grid .grid-box .mac-icon {
  height: 24px;
  width: 24px;
  min-width: 24px;
  display: block;
  margin-right: 8px;
}
.product-grid .grid-box .mac-icon::before {
  background-color: var(--thm-green);
}
.steps .item {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  flex-wrap: wrap;
  flex-flow: column;
  margin: 20px auto;
}
.steps .item .img {
  max-width: 100px;
  width: 100px;
  height: 100px;
  border: 2px dashed #fff;
  padding: 10px;
  border-radius: 50%;
  margin: 5px;
}
.steps .item h4 {
  color: #fff;
  font-weight: 500;
  font-size: 18px;
}
.steps .item .img img {
  display: block;
  background: #fff;
  padding: 5px;
  border-radius: 50%;
}
.contact .contact-info {
  list-style-type: none;
}
.contact .contact-info li {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
}
.contact .contact-info li:last-child {
  margin-bottom: 0px;
}
.contact .contact-info li .mac-icon {
  height: 30px;
  width: 30px;
  min-width: 30px;
  margin-right: 10px;
}
.contact .contact-info li .mac-icon::before {
  background: var(--thm-blue);
}
.contact .contact-info li .head {
  font-weight: 600;
  color: #000;
}
.contact .contact-info li a {
  color: var(--thm-green);
  font-weight: 500;
}
.contact .social-links {
  list-style-type: none;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  margin: 20px auto;
}
.contact .social-links li {
  padding: 5px;
}
.contact .social-links .mac-icon {
  height: 30px;
  width: 30px;
  min-width: 30px;
}
.contact .social-links a .mac-icon::before {
  background-color: var(--thm-blue);
  transition: all 0.5s;
}
.contact .social-links a:hover .mac-icon::before {
  background-color: var(--thm-green);
}
.contact form button {
  color: #fff;
  background: var(--thm-blue);
}
.contact form button:hover {
  background-color: var(--thm-green);
}
.contact form button::before {
  background: #fff;
}
footer {
  background: #2ab6f2;
  padding: 10px 15px 5px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #fff;
  flex-wrap: wrap;
}
footer ul.quick-links {
  display: flex;
  justify-content: center;
  align-items: center;
  list-style-type: none;
  flex-wrap: wrap;
}
footer ul.quick-links li {
  margin: 5px;
}
footer ul.quick-links li + li {
  border-left: 1px solid #fff;
}
footer ul.quick-links li a {
  padding: 8px 5px 8px 10px;
}
section.profile-sec .profile-content {
  display: flex;
  width: 100%;
}
section.profile-sec .profile-content .profile-card-box {
  width: var(--size);
}
section.profile-sec .profile-content .profile-content-box {
width: 100%;
  display: grid;
  padding: 10px;
}
section.profile-sec .profile-content h5 {
  font-weight: 500;
  margin-bottom: 8px;
  font-size: 18px;
  color: var(--thm-blue);
}
section.profile-sec .profile-content .profile-content-box .item {
  padding: 10px;
}
section.profile-sec .profile-content .profile-content-box .item .img {
  max-width: 180px;
  width: 100%;
}
section.profile-sec .profile-content .content-box{
width: 100%;
}
section.profile-sec .profile-card-box {
  border: 1px solid #0005;
  height: fit-content;
  padding: 10px;
  border-radius: 5px;
}
section.profile-sec .profile-content .profile-card .img {
  border: 2px dashed var(--thm-blue);
  border-radius: 50%;
  height: 150px;
  width: 150px;
  display: block;
  margin: 15px auto;
  padding: 10px;
}
section.profile-sec .profile-content .profile-card .img img {
  border-radius: 50%;
  height: 100%;
  width: 100%;
  background-color: #fff;
  object-fit: cover;
}
/* admin panel */
.dashboard{
  display: flex;
  width: 100%;
  --size: 200px;
}
.dashboard .sidebar,
.dashboard .contentbar{
  min-height: 100vh;
  height: 100vh;
  height: 100dvh;
  overflow: auto;
}
.dashboard .sidebar{
width: var(--size);
border: 1px solid #0005;
}
.dashboard .contentbar{
  width: calc(100% - var(--size));
  padding: 15px;
}
.dashboard .sidebar .logo-box{
  padding: 15px;
  display: flex;
  align-items: center;
  width: 100%;
  border-bottom: 1px solid #0005;
}
.dashboard .sidebar .logo-box a{
  display: block;
  width: fit-content;
  margin: auto;
  max-width: 150px;
}
.dashboard .sidebar .logo-box img{
  display: block;
}
.dashboard .sidebar .menu-set{

  transition: all 0.5s;
}
.dashboard .sidebar .menu-set .menu-container{
  padding: 10px;
}
.dashboard .sidebar .menu-set ul{
  padding-left: 15px;
  list-style: none;
  margin-bottom: 10px;
}
.dashboard .sidebar .menu-set ul li{
  margin: 5px;
}
.dashboard .sidebar .menu-set ul li a:hover,
.dashboard .sidebar .menu-set ul li a.active{
color: var(--thm-blue);  
}
.dashbord-home .item{
  margin: 20px auto;
  text-align: center;
  border: 1px solid #0005;
  padding: 15px;
  border-radius: 5px;
}
.dashbord-home .item h4{
  font-weight: 500;
  font-size: 18px; 
}
.dashbord-home .item .count{
  font-size: 24px;
  margin-top: 5px;
  font-weight: 600;
  color: var(--thm-blue);
}
.table-responsive{
  width: 100%;
  overflow: auto;
}
table{
  width: 100%;
  border-spacing: 0;
}

table th{
  font-weight: 600;
}
table td,
table th{
  padding: 10px 15px;
    border: 1px solid #0003;
    text-align: center;
}
.get-form{
  display: flex;
  flex-wrap: wrap;
}
.get-form label{
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: fit-content;
  padding: 6px 15px;
  background-color: transparent;
  border: 1px solid #000;
  cursor: pointer;
  margin: 5px;
  border-radius: 30px;
}
.get-form input[type="radio"]{
  appearance: none;
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  display: block;
  padding: 0;
  opacity: 0;
  cursor: pointer;
}
.get-form label:has(input[type="radio"]:checked){
background-color: var(--thm-green);
color: #fff;
border-color: transparent;

}
.transaction-table-grid {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    width: 100%;
}
.transaction-table-grid  .name,
.transaction-table-grid  .data{
  padding: 5px 8px;
}
.transaction-table-grid  .name{
  font-weight: 600;
}
.hide{
  display: none !important;
}
.p-15{
  padding: 15px;
}
.animation-scroll-text{

  white-space: nowrap;
  padding-left: 100%;
}

.overflow-hide{
  overflow: hidden;
  width: 100%;
}
.scroll-container{
  white-space: nowrap;
  display: flex;
  width: 200%;
  text-align: center;
  animation: scroll-left 20s linear infinite;
}
.scroll-container p{
  width: 100%;
  border: 1px solid red;
}
@keyframes scroll-left {
  0%{
    transform: translateX(0%);
  }
  100%{
    transform: translateX(-100%);
  }
}